MWAWSpreadsheetListenerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWSpreadsheetListenerInternal::State Struct Reference

the state of a MWAWSpreadsheetListener More...

## Public Member Functions
| State ()
| constructor More...
| ~State ()
| destructor More...
bool | canWriteText () const
| returns true if we are in a text zone More...

## Public Attributes
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text More...
int | m_numDeferredTabs
| the number of tabs to add More...
MWAWFont | m_font
| the font More...
MWAWParagraph | m_paragraph
| the paragraph More...
std::shared_ptr< MWAWList > | m_list
bool | m_isPageSpanOpened
bool | m_isHeaderFooterOpened
| a flag to know if the header footer is started More...
bool | m_isFrameOpened
bool | m_isTextboxOpened
bool | m_isGroupOpened
| a flag to know if openGroup was called More...
bool | m_isHeaderFooterWithoutParagraph
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
bool | m_isSheetColumnOpened
bool | m_isSheetCellOpened
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open More...
bool | m_isNote
bool | m_inLink
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions
| State (const State &)=delete
State & | operator= (const State &)=delete

## Detailed Description

the state of a MWAWSpreadsheetListener

## Constructor & Destructor Documentation

## ◆ State() [1/2]

MWAWSpreadsheetListenerInternal::State::State | ( |  | ) |

constructor

## ◆ ~State()

MWAWSpreadsheetListenerInternal::State::~State | ( |  | ) |
| inline

destructor

## ◆ State() [2/2]

MWAWSpreadsheetListenerInternal::State::State | ( | const State & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ canWriteText()

bool MWAWSpreadsheetListenerInternal::State::canWriteText | ( |  | ) | const
| inline

returns true if we are in a text zone

## ◆ operator=()

State& MWAWSpreadsheetListenerInternal::State::operator= | ( | const State & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_currentPage

unsigned MWAWSpreadsheetListenerInternal::State::m_currentPage

## ◆ m_currentPageNumber

int MWAWSpreadsheetListenerInternal::State::m_currentPageNumber

## ◆ m_firstParagraphInPageSpan

bool MWAWSpreadsheetListenerInternal::State::m_firstParagraphInPageSpan

## ◆ m_font

MWAWFont MWAWSpreadsheetListenerInternal::State::m_font

the font

## ◆ m_inLink

bool MWAWSpreadsheetListenerInternal::State::m_inLink

## ◆ m_inSubDocument

bool MWAWSpreadsheetListenerInternal::State::m_inSubDocument

a stack used to know what is open

## ◆ m_isFrameOpened

bool MWAWSpreadsheetListenerInternal::State::m_isFrameOpened

## ◆ m_isGroupOpened

bool MWAWSpreadsheetListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

## ◆ m_isHeaderFooterOpened

bool MWAWSpreadsheetListenerInternal::State::m_isHeaderFooterOpened

a flag to know if the header footer is started

Referenced by canWriteText().

## ◆ m_isHeaderFooterWithoutParagraph

bool MWAWSpreadsheetListenerInternal::State::m_isHeaderFooterWithoutParagraph

## ◆ m_isListElementOpened

bool MWAWSpreadsheetListenerInternal::State::m_isListElementOpened

## ◆ m_isNote

bool MWAWSpreadsheetListenerInternal::State::m_isNote

Referenced by canWriteText().

## ◆ m_isPageSpanOpened

bool MWAWSpreadsheetListenerInternal::State::m_isPageSpanOpened

## ◆ m_isParagraphOpened

bool MWAWSpreadsheetListenerInternal::State::m_isParagraphOpened

## ◆ m_isSheetCellOpened

bool MWAWSpreadsheetListenerInternal::State::m_isSheetCellOpened

Referenced by canWriteText().

## ◆ m_isSheetColumnOpened

bool MWAWSpreadsheetListenerInternal::State::m_isSheetColumnOpened

## ◆ m_isSpanOpened

bool MWAWSpreadsheetListenerInternal::State::m_isSpanOpened

## ◆ m_isTableCellOpened

bool MWAWSpreadsheetListenerInternal::State::m_isTableCellOpened

Referenced by canWriteText().

## ◆ m_isTableColumnOpened

bool MWAWSpreadsheetListenerInternal::State::m_isTableColumnOpened

## ◆ m_isTableOpened

bool MWAWSpreadsheetListenerInternal::State::m_isTableOpened

## ◆ m_isTableRowOpened

bool MWAWSpreadsheetListenerInternal::State::m_isTableRowOpened

## ◆ m_isTextboxOpened

bool MWAWSpreadsheetListenerInternal::State::m_isTextboxOpened

Referenced by canWriteText().

## ◆ m_list

std::shared_ptr<MWAWList> MWAWSpreadsheetListenerInternal::State::m_list

## ◆ m_listOrderedLevels

std::vector<bool> MWAWSpreadsheetListenerInternal::State::m_listOrderedLevels

## ◆ m_numDeferredTabs

int MWAWSpreadsheetListenerInternal::State::m_numDeferredTabs

the number of tabs to add

## ◆ m_numPagesRemainingInSpan

int MWAWSpreadsheetListenerInternal::State::m_numPagesRemainingInSpan

## ◆ m_paragraph

MWAWParagraph MWAWSpreadsheetListenerInternal::State::m_paragraph

the paragraph

## ◆ m_subDocumentType

libmwaw::SubDocumentType MWAWSpreadsheetListenerInternal::State::m_subDocumentType

## ◆ m_textBuffer

librevenge::RVNGString MWAWSpreadsheetListenerInternal::State::m_textBuffer

a buffer to stored the text

The documentation for this struct was generated from the following file:

- MWAWSpreadsheetListener.cxx